/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct CashMgmtRelData {
    #[serde(rename = "CashMgmtRelType", skip_serializing_if = "Option::is_none")]
    pub cash_mgmt_rel_type: Option<String>,
    #[serde(rename = "SweepAcctKeys", skip_serializing_if = "Option::is_none")]
    pub sweep_acct_keys: Option<Box<crate::models::SweepAcctKeys>>,
}

impl CashMgmtRelData {
    pub fn new() -> CashMgmtRelData {
        CashMgmtRelData {
            cash_mgmt_rel_type: None,
            sweep_acct_keys: None,
        }
    }
}
